import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface ConnectionVO extends BaseEntity {
  /**
   * 唯一主键
   */
  id: string | number

  /**
   * 链接名称
   */
  name: string

  /**
   * 数据库类型
   */
  type: string

  /**
   * 驱动版本
   */
  driverVersion: string

  /**
   * 驱动类名
   */
  driver: string

  /**
   * jdbc-url连接串
   */
  url: string

  /**
   * 数据库账号
   */
  userName: string

  /**
   * 账号密码
   */
  password: string
}

export interface ConnectionForm {
  /**
   * 唯一主键
   */
  id?: string | number

  /**
   * 链接名称
   */
  name?: string

  /**
   * 数据库类型
   */
  type?: string

  /**
   * 驱动版本
   */
  driverVersion?: string

  /**
   * 驱动类名
   */
  driver?: string

  /**
   * jdbc-url连接串
   */
  url?: string

  /**
   * 数据库账号
   */
  userName?: string

  /**
   * 账号密码
   */
  password?: string

  /**
   * 乐观锁
   */
  version?: number
}

export interface ConnectionQuery extends PageQuery {
  /**
   * 链接名称
   */
  name?: string

  /**
   * 数据库类型
   */
  type?: string

  /**
   * 驱动版本
   */
  driverVersion?: string

  /**
   * 驱动类名
   */
  driver?: string

  /**
   * jdbc-url连接串
   */
  url?: string

  /**
   * 数据库账号
   */
  userName?: string

  /**
   * 账号密码
   */
  password?: string

  /**
   * 日期范围参数
   */
  params?: any
}
